Bug 973817 - openshift-origin-node-proxy logrotate doesn't work with systemd
openshift-origin-node-proxy logrotate doesn't work with systemd
Status: CLOSED ERRATA
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Troy Dawson
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-12 16:20 EDT by Troy Dawson
Modified: 2015-05-14 19:12 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-09 17:08:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Troy Dawson 2013-06-12 16:20:05 EDT
Description of problem:
In the postrotate section of /etc/logrotate.d/openshift-node-web-proxy it has

/sbin/service openshift-node-web-proxy restart > /dev/null 2>/dev/null || true

This doesn't work on systems using systemd (Fedora 17+) It should be

/bin/systemctl restart openshift-node-web-proxy.service > /dev/null 2>/dev/null || true

Version-Release number of selected component (if applicable):
openshift-origin-node-proxy-0.9.2

How reproducible:
100%

Steps to Reproduce:
1. Install openshift-origin-node-proxy
2. Wait for the logs to rotate
3.

Actual results:
The service doesn't get restarted after the logrotate

Expected results:
The service to get restarted after the logs are rotated.

Additional info:
Comment 1 Troy Dawson 2013-09-09 17:08:24 EDT
Fixed with this pull request
https://github.com/openshift/origin-server/pull/3563

Note You need to log in before you can comment on or make changes to this bug.